​

Create iteration

POST
https://example.kaiten.ru/api/latest/spaces/{space_uid}/iterations

Creates a new iteration in a space. A created iteration gets the planned status. The iterations feature must be enabled for the company.

Path parameters
NameTypeReference
space_uidrequiredstringSpace UID
Headers
NameValue
AuthorizationBearer <token>
Content-Typeapplication/json
Attributes
schema
NameTypeConstraintsDescription
title
required
string
minLength: 1
maxLength: 256

Iteration title

goal
string | null

Iteration goal

start_date
string | null

Start date. ISO 8601 format

finish_date
string | null

Finish date. ISO 8601 format

Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
id

string

Iteration ID (UUID)
space_uid

string

UID of the space the iteration belongs to
title

string

Iteration title
goal

string

Iteration goal
status

string

Iteration status: planned, active, closed or removed
creator_uid

string

UID of the user who created the iteration
updater_uid

string

UID of the user who last updated the iteration
start_date

string

Start date, ISO 8601 format
finish_date

string

Planned finish date, ISO 8601 format
actual_finish_date

string

Actual finish date, ISO 8601 format
sort_order

number

Sort order of the iteration within the space
data

object

Iteration statistics, present for active and closed iterations
created

string

Creation timestamp
updated

string

Last update timestamp
400
DescriptionResponse typeExample
Validation errorObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

403
DescriptionResponse typeExample
ForbiddenResponse body does not exist

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Space not foundResponse body does not exist

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.ru

Path Parameters

  1  curl --request POST \
  2       --url 'https://example.kaiten.ru/api/latest/spaces/{space_uid}/iterations' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!